DS2482OW(4)

NAME
ds2482ow - Driver for Maxim DS2482-100 and DS2482-800 IC2 to 1-Wire bridge

SYNOPSIS
ds2482ow* at iic? addr 0x18
ds2482ow* at iic? addr 0x19
ds2482ow* at iic? addr 0x1a
ds2482ow* at iic? addr 0x1b
ds2482ow* at iic? addr 0x1c DS2482-800 only
ds2482ow* at iic? addr 0x1d DS2482-800 only
ds2482ow* at iic? addr 0x1e DS2482-800 only
ds2482ow* at iic? addr 0x1f DS2482-800 only
onewire* at ds2482ow?

DESCRIPTION
The ds2482ow driver provides 1 or 8 onewire(4) busses via an I2C interface. The ds2482ow addr argument selects the address at the iic(4) bus. The chip generates all of the needed 1-Wire pulses on its own and provides for the pullup needed on the 1-Wire data line. The method that the chip uses for pullup can be changed through sysctl(8) nodes.

SYSCTL VARIABLES
The following sysctl(3) variables are provided:

hw.ds2482ow0.pullup.active
    If true, turn on active pullup on all channels supported by the chip.

hw.ds2482ow0.pullup.strong
    If true, turn on strong pullup on all channels that the chip supports and on the DS2482-100 chip, allow the PCTLZ pin to provide addition current to the 1-Wire bus. This mode conflicts with a 1-Wire reset and will be disabled if that command is sent to the 1-Wire bus.

If neither active pullup or strong pullup are enabled the chip will
    use an internal passive resister.

hw.ds2482ow0.debug
    If the driver is compiled with DS2482_DEBUG, this node will appear and can be used to set the debugging level.

SEE ALSO
onewire(4), iic(4), sysctl(8)

HISTORY
The ds2482ow driver first appeared in NetBSD 11.0.

AUTHORS
-nosplit The ds2482ow driver was written by Brad Spencer <brad@anduin.eldar.org>.

BUGS
The DS2482 chip supports overdrive speed on a 1-Wire bus. This driver does not support overdrive speed mode.